_lscp_thread_t Struct Reference

## Data Fields

pthread_t | pthread
lscp_thread_proc_t | pfnProc
void * | pvData
int | iDetach

## Field Documentation

## iDetach

int _lscp_thread_t::iDetach

Referenced by lscp_thread_create().

## pfnProc

lscp_thread_proc_t _lscp_thread_t::pfnProc

Referenced by lscp_thread_create().

## pthread

pthread_t _lscp_thread_t::pthread

Referenced by lscp_thread_cancel(), lscp_thread_create(), and lscp_thread_join().

## pvData

void* _lscp_thread_t::pvData

Referenced by lscp_thread_create().

The documentation for this struct was generated from the following file:

- thread.c